package cn.newfeifan.mall.module.distri.dal.dataobject.orderpercentage;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 积分相关计算浮动百分比设置 DO
 *
 * @author 非繁人
 */
@TableName("distri_order_percentage")
@KeySequence("distri_order_percentage_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OrderPercentageDO extends BaseDO {

    /**
     * 用户编号
     */
    @TableId
    private Long id;
    /**
     * 毛利 = 成本 * 0.38... (推广费用)
     */
    private String grossProfitPerc;
    /**
     * 推广-平台分成额度(浮动) 百分比
     */
    private String grossProfitPlatformQuotaPerc;
    /**
     * 是否启用 0关闭 1启动
     */
    private Integer status;
    /**
     * 推广-推荐人额度 百分比（上级推荐人订单提成百分比）
     */
    private String grossProfitAncestorQuotaPerc;
    /**
     * 购物订单：直推人身价提升
     */
    private String orderAncestorSocialStatus;
    /**
     * 购物订单：本人身价提升
     */
    private String orderUserSocialStatus;
    /**
     * 新用户注册：直推人身价提升
     */
    private String registerAncestorSocialStatus;
    /**
     * 新用户注册：本人身价提升
     */
    private String registerSocialStatus;
    /**
     * 用户注册后，获得的基础最大合赢奖、直推奖积分限额
     */
    private String baseMaxQuota;
    /**
     * 收藏商品获取身价值，同一SPU商品收藏多次无效
     */
    private String collectSocialStatus;
    /**
     * 用户签到可获取的最大身价值
     */
    private String signInSocialStatusMax;
    /**
     * 签到获取身价
     */
    private String signInSocialStatus;
    /**
     * 触发倍率的最低金额
     */
    private String triggerMagnificationPoints;
    /**
     * 推广-团队奖额度(浮动) 百分比
     */
    private String grossProfitBonusQuotaPerc;
    /**
     * 充值积分的倍率
     */
    private String integralMagnification;
    /**
     * 团队奖、幸运奖所得黄积分百分比
     */
    private String bonusYellowIntegral;
    /**
     * 团队奖、幸运奖所得绿积分百分比
     */
    private String bonusGreenIntegral;
    /**
     * 会员黄积分转换红积分倍率
     */
    private String memberYellowTransitionRed;
    /**
     * 会员红积分转换绿积分倍率
     */
    private String memberRedTransitionGreen;
    /**
     * 代理商黄积分转换红积分倍率
     */
    private String agentYellowTransitionRed;
    /**
     * 代理商红积分转换绿积分倍率
     */
    private String agentRedTransitionGreen;
}